package cn.ey.biz.module.system.enums.sync;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum UserSyncHandleStatusEnum {

    UNPROCESSED_DEFAULT(-1,"未处理"),
    //同步
    HANDLE_SYNC_STATUS_SUCCESS(0,"同步成功"),
    HANDLE_SYNC_STATUS_ERROR(1,"同步失败"),
    //CODE_BLOCK
    CODE_BLOCK_SUCCESS(0,"CODE_BLOCK处理成功"),
    CODE_BLOCK_ERROR(1,"CODE_BLOCK处理失败"),
    //rate
    RATE_SUCCESS(0,"rate处理成功"),
    RATE_ERROR(1,"rate处理失败");

    private final  Integer code;
    private final String remark;

}
